package com.rjconsultores.ventaboletos.vo.pricing;

import java.io.Serializable;
import java.math.BigDecimal;

public class PricingOcupaAntecipa implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer cantdiasmin;
	private Integer cantdiasmax;
	private Integer cantasientosmin;
	private Integer cantasientosmax;
	private BigDecimal porcentaje;
	private BigDecimal ocupacioninicial;
	private BigDecimal ocupacionfinal;
	private BigDecimal importe;

	private Integer classeId;
	private String descclasse;
	
	public PricingOcupaAntecipa() {
		super();
	}

	public PricingOcupaAntecipa(com.rjconsultores.ventaboletos.entidad.PricingOcupaAntecipa pricingOcupaAntecipa) {
		this();
		
		cantdiasmin = pricingOcupaAntecipa.getCantdiasmin();
		cantdiasmax = pricingOcupaAntecipa.getCantdiasmax();
		cantasientosmin = pricingOcupaAntecipa.getCantasientosmin();
		cantasientosmax = pricingOcupaAntecipa.getCantasientosmax();
		porcentaje = pricingOcupaAntecipa.getPorcentaje();
		ocupacioninicial = pricingOcupaAntecipa.getOcupacioninicial();
		ocupacionfinal = pricingOcupaAntecipa.getOcupacionfinal();
		importe = pricingOcupaAntecipa.getImporte();
		classeId = pricingOcupaAntecipa.getPricingClasseTarifaria() != null ? pricingOcupaAntecipa.getPricingClasseTarifaria().getPricingClasseTarifariaId() : null;
		descclasse = pricingOcupaAntecipa.getPricingClasseTarifaria() != null ? pricingOcupaAntecipa.getPricingClasseTarifaria().getDescClasseTarifaria() : null;
	}

	public Integer getCantdiasmin() {
		return cantdiasmin;
	}

	public void setCantdiasmin(Integer cantdiasmin) {
		this.cantdiasmin = cantdiasmin;
	}

	public Integer getCantdiasmax() {
		return cantdiasmax;
	}

	public void setCantdiasmax(Integer cantdiasmax) {
		this.cantdiasmax = cantdiasmax;
	}

	public Integer getCantasientosmin() {
		return cantasientosmin;
	}

	public void setCantasientosmin(Integer cantasientosmin) {
		this.cantasientosmin = cantasientosmin;
	}

	public Integer getCantasientosmax() {
		return cantasientosmax;
	}

	public void setCantasientosmax(Integer cantasientosmax) {
		this.cantasientosmax = cantasientosmax;
	}

	public BigDecimal getPorcentaje() {
		return porcentaje;
	}

	public void setPorcentaje(BigDecimal porcentaje) {
		this.porcentaje = porcentaje;
	}

	public BigDecimal getOcupacioninicial() {
		return ocupacioninicial;
	}

	public void setOcupacioninicial(BigDecimal ocupacioninicial) {
		this.ocupacioninicial = ocupacioninicial;
	}

	public BigDecimal getOcupacionfinal() {
		return ocupacionfinal;
	}

	public void setOcupacionfinal(BigDecimal ocupacionfinal) {
		this.ocupacionfinal = ocupacionfinal;
	}

	public BigDecimal getImporte() {
		return importe;
	}

	public void setImporte(BigDecimal importe) {
		this.importe = importe;
	}

	public Integer getClasseId() {
		return classeId;
	}

	public void setClasseId(Integer classeId) {
		this.classeId = classeId;
	}

	public String getDescclasse() {
		return descclasse;
	}

	public void setDescclasse(String descclasse) {
		this.descclasse = descclasse;
	}

}
